## tomogui 0.3.1

=== requirements.txt ===
# List all dependencies of tomogui
# Requires pip >= 8.0

silx >= 0.8 # for GUI
fabio # for IO
h5py

=== debian/changelog ===
tomogui (0.3.1-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Feb 2022 19:51:51 +0100

tomogui (0.3.1-1) unstable; urgency=low

  * Initial upload (closes: #996248).
  * source package automatically created by stdeb 0.10.0 then tweaked by hand

 -- Roland Mas <lolando@debian.org>  Wed, 13 Oct 2021 21:31:27 +0200

=== debian/control ===
Source: tomogui
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Python Team <team+python@tracker.debian.org>,
 Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all,
 python3-pip, python3-numpy, python3-silx, python3-sphinx, help2man,
 debhelper (>= 13)
Standards-Version: 4.5.1
Homepage: https://gitlab.esrf.fr/tomoTools/tomogui
Vcs-Git: https://salsa.debian.org/python-team/packages/tomogui.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tomogui

Package: python3-tomogui
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, libjs-sphinxdoc, libjs-jquery,
 libjs-underscore, python3-numpy, python3-silx, python3-freeart
Description: GUI for freeart and silx tomographic reconstructions
 Tomogui offers a Graphical User Interface to run tomographic
 reconstruction based on freeart and silx algorithms
 .
 Tomogui contains two main applications:
 .
 - tomogui project : to create a new project from scratch
 - tomogui recons : to run reconstruction from a configuration file
 created by 'tomogui project'

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Sun, 10 Oct 2021 00:28:42 +0200
export PYBUILD_NAME=tomogui
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	(unset SUDO_USER ; QT_QPA_PLATFORM=offscreen dh_auto_test --buildsystem=pybuild) || true

override_dh_auto_build:
	python3 setup.py build build_man build_doc
	rm -f $(CURDIR)/debian/tomogui/usr/share/doc/tomogui/html/_static/jquery.js
	rm -f $(CURDIR)/debian/tomogui/usr/share/doc/tomogui/html/_static/doctools.js
	rm -f $(CURDIR)/debian/tomogui/usr/share/doc/tomogui/html/_static/searchtools.js
	rm -f $(CURDIR)/debian/tomogui/usr/share/doc/tomogui/html/_static/underscore.js
	rm -f $(CURDIR)/debian/tomogui/usr/share/doc/tomogui/html/_static/language_data.js

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d+//,\
 " \
 https://gitlab.esrf.fr/tomotools/tomogui/tags?sort=updated_desc archive/v@ANY_VERSION@/@PACKAGE@-v\d\S*\.tar\.gz debian uupdate
